Skip to content
Status

Create a gateway

POSThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/gateways

POST
/gateways

Create a new gateway connection

Media typeapplication/json
object
gateway
object
object
processor
required
string

Payment processor type (e.g., STRIPE)

name
string

Display name for the gateway

code
string

Your ID for the gateway (optional)

values
object

Gateway-specific configuration values

object
tags
Array<string>

Tags for searching and organizing

metadata
object

Custom metadata key-value pairs

object
key
additional properties
any

Created gateway

Media typeapplication/json
object
gateway
object
object
id
string

Shuttle’s ID for the gateway

name
string

Display name for the gateway

code
string

Your ID for the gateway (or auto-generated)

division
string

Division ID (enterprise)

status
string · enum

Gateway status

Allowed values: CREATED LINKED ACTIVE ARCHIVE SETUP INACTIVE RUNDOWN
status_reason
string

Reason for current status (e.g., access revoked)

processor
string

Payment processor type (e.g., STRIPE)

processor_name
string

Display name of the processor

processor_account_name
string

Name of connected merchant account

gateway_group
string

Group ID for sharing payment tokens

currencies
Array<string>

Supported payment currencies

payment_method_types
object

Supported ecommerce payment methods

object
key
additional properties
object
object
features
Array<string> · enum
Allowed values: AUTHORISE AUTHORISE_AND_SAVE_TOKEN AUTHORISE_ON_SAVED_TOKEN PAYMENT COMPLETE_AUTHORISATION PAYMENT_AND_SAVE_TOKEN PAYMENT_ON_SAVED_TOKEN SAVE_CARD FULL_REFUND PARTIAL_REFUND MULTI_REFUND CAPTURE VOID RAW_PAN
payment_method_types_moto
object

Supported MOTO payment methods

object
key
additional properties
object
object
features
Array<string> · enum
Allowed values: AUTHORISE AUTHORISE_AND_SAVE_TOKEN AUTHORISE_ON_SAVED_TOKEN PAYMENT COMPLETE_AUTHORISATION PAYMENT_AND_SAVE_TOKEN PAYMENT_ON_SAVED_TOKEN SAVE_CARD FULL_REFUND PARTIAL_REFUND MULTI_REFUND CAPTURE VOID RAW_PAN
metadata
object

Custom key-value pairs

object
key
additional properties
any
tags
Array<string>

Tags/references

features
object

Feature flags for the gateway

object
key
additional properties
any
created
string · date-time

Creation timestamp

created_session
string

Session that created this gateway

updated
string · date-time

Last update timestamp

updated_session
string

Session that last updated this gateway

v
integer

Record version

Bad request - invalid parameters

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Unauthorized - invalid credentials

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Example
{
"code": "UNAUTHORIZED",
"message": "Unauthorised"
}

Validation error - invalid gateway configuration

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Was this page helpful?